<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Kansio: $current_mbox: Virhe: viestin $action_text epäonnistui";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'viestiä';
      else $messages = 'viesti';
      
      $action_text = $lang->$action;
      return "Kansio: $current_mbox: $num $messages $action_text ";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'viestiä';
      else $messages = 'viesti';
      
      $action_text = $lang->$action;
      return "Kansio: $current_mbox: $num $messages $action_text kansioon $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
	 return "Sivu $page ($page_count)";
      } else {
         $len = strlen($page_count);
	 return "<input type=\"text\" name=\"page\" value=\"$page\" size=$len> ( $page_count )";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
	  return "0 viestiä";
       } elseif ($nummsgs == 1) {
	  return "1 viesti";
       } else {
	  return "viestit $begin - $end (yhteensä $nummsgs)";
       }
   }
   
}


$lang = new MailboxLocaleLang();
require './locale/fi/openwin.lang';

$lang->delete_link = 'Poista';
$lang->undelete_link = 'Peruuta poisto';
$lang->move_link = 'Siirrä';
$lang->copy_link = 'Kopioi';
$lang->selected_mail = '(valitut viestit)';

$lang->sort_by_label =  'Lajittele';
$lang->date_label = 'Päiväys';
$lang->from_label = 'Lähettäjä';
$lang->subject_label = 'Otsikko';
$lang->size_label = 'Koko';
$lang->to_label = 'Vastaanottaja';

$lang->select_all = 'Valitse kaikki'; 
$lang->select_none = 'Poista valinta'; 
$lang->hide_deleted = 'Piilota poistetut'; 
$lang->show_deleted = 'Näytä poistetut';
$lang->empty_trash = 'Tyhjennä roskakori';

$lang->no_subject = '[ei otsikkoa]';
$lang->undisclosed_recipients = 'Piilovastaanottajat';
$lang->mailbox = 'Kansio';

$lang->message = 'viesti';
$lang->messages = 'viestit';

$lang->deletion = 'poisto';
$lang->deleted = 'poistettu';
$lang->undeletion = 'poiston peruutus';
$lang->undeleted = 'poisto peruutettu';
$lang->move = 'siirto';
$lang->moved = 'siirretty';
$lang->copy = 'kopiointi';
$lang->copied = 'kopioitu';
$lang->expunge = 'tuhoaminen';
$lang->expunged = 'tuhottu';
$lang->hiding_deleted = 'Piilotetaan poistetut viestit';
$lang->showing_deleted = 'Näytetään poistetut viestit';
$lang->deleted_summary = 'kpl poistettuja viestejä on piilotettu listauksesta';
$lang->empty_mailbox = 'Tämä kansio on tyhjä.';
$lang->no_messages_selected = 'Valitse ensin ainakin yksi viesti.';

$lang->reverse_sort = 'Käänteinen lajittelujärjestys (uusimmasta tai suurimmasta vanhimpaan tai pienimpään).';

$lang->refresh = 'päivitä kansion sisältö';
$lang->alert_really_delete = 'Oletko varma että haluat tuhota viestit lopullisesti?';
$lang->first_page = 'ensimmäinen sivu';
$lang->prev_page = 'edellinen sivu';
$lang->next_page = 'seuraava sivu';
$lang->last_page = 'viimeinen sivu';
$lang->no_mailbox_selected = 'Valitse ensin kohdekansio.';
?>
